clang 8.0.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
clang::comments::HTMLTagComment Class Reference

Abstract class for opening and closing HTML tags. More...

`#include "clang/AST/Comment.h"`

Inheritance diagram for clang::comments::HTMLTagComment:
[legend]
Collaboration diagram for clang::comments::HTMLTagComment:
[legend]

## Public Member Functions
StringRef | getTagName () const LLVM_READONLY
SourceRange | getTagNameSourceRange () const LLVM_READONLY
bool | isMalformed () const
void | setIsMalformed ()
Public Member Functions inherited from clang::comments::InlineContentComment
void | addTrailingNewline ()
bool | hasTrailingNewline () const
Public Member Functions inherited from clang::comments::Comment
| Comment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd)
CommentKind | getCommentKind () const
const char * | getCommentKindName () const
void | dump () const
void | dumpColor () const
void | dump (const ASTContext &Context) const
void | dump (raw_ostream &OS, const CommandTraits *Traits, const SourceManager *SM) const
SourceRange | getSourceRange () const LLVM_READONLY
SourceLocation | getBeginLoc () const LLVM_READONLY
SourceLocation | getEndLoc () const LLVM_READONLY
SourceLocation | getLocation () const LLVM_READONLY
child_iterator | child_begin () const
child_iterator | child_end () const
unsigned | child_count () const

## Static Public Member Functions
static bool | classof (const Comment *C)
Static Public Member Functions inherited from clang::comments::InlineContentComment
static bool | classof (const Comment *C)

## Protected Member Functions
| HTMLTagComment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd, StringRef TagName, SourceLocation TagNameBegin, SourceLocation TagNameEnd)
Protected Member Functions inherited from clang::comments::InlineContentComment
| InlineContentComment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd)
Protected Member Functions inherited from clang::comments::Comment
void | setSourceRange (SourceRange SR)
void | setLocation (SourceLocation L)

## Protected Attributes
StringRef | TagName
SourceRange | TagNameRange
Protected Attributes inherited from clang::comments::Comment
SourceLocation | Loc
| Preferred location to show caret. More...
SourceRange | Range
| Source range of this AST node. More...
union {
CommentBitfields CommentBits
InlineContentCommentBitfields InlineContentCommentBits
TextCommentBitfields TextCommentBits
InlineCommandCommentBitfields InlineCommandCommentBits
HTMLTagCommentBitfields HTMLTagCommentBits
HTMLStartTagCommentBitfields HTMLStartTagCommentBits
ParagraphCommentBitfields ParagraphCommentBits
BlockCommandCommentBitfields BlockCommandCommentBits
ParamCommandCommentBitfields ParamCommandCommentBits
}; |

## Additional Inherited Members
Public Types inherited from clang::comments::Comment
enum | CommentKind { NoCommentKind = 0 }
typedef Comment *const * | child_iterator
Protected Types inherited from clang::comments::Comment
enum | { NumCommentBits = 8 }
enum | { NumInlineContentCommentBits = NumCommentBits + 1 }
enum | { NumTextCommentBits = NumInlineContentCommentBits + 2 }
enum | { NumInlineCommandCommentBits }
enum | { NumHTMLTagCommentBits = NumInlineContentCommentBits + 1 }
enum | { NumHTMLStartTagCommentBits = NumHTMLTagCommentBits + 1 }
enum | { NumParagraphCommentBits = NumCommentBits + 2 }
enum | { NumBlockCommandCommentBits }
enum | { NumParamCommandCommentBits = NumBlockCommandCommentBits + 3 }

## Detailed Description

Abstract class for opening and closing HTML tags.

HTML tags are always treated as inline content (regardless HTML semantics).

Definition at line 372 of file Comment.h.

## Constructor & Destructor Documentation

## ◆ HTMLTagComment()

clang::comments::HTMLTagComment::HTMLTagComment | ( | CommentKind | K,
|  | SourceLocation | LocBegin,
|  | SourceLocation | LocEnd,
|  | StringRef | TagName,
|  | SourceLocation | TagNameBegin,
|  | SourceLocation | TagNameEnd
| ) |  |
| inline protected

Definition at line 377 of file Comment.h.

References clang::comments::Comment::HTMLTagCommentBits, and clang::comments::Comment::setLocation().

## Member Function Documentation

## ◆ classof()

static bool clang::comments::HTMLTagComment::classof | ( | const Comment * | C | ) |
| inline static

Definition at line 391 of file Comment.h.

References clang::comments::Comment::getCommentKind().

## ◆ getTagName()

StringRef clang::comments::HTMLTagComment::getTagName | ( |  | ) | const
| inline

Definition at line 396 of file Comment.h.

Referenced by clang::comments::Sema::actOnFullComment(), clang::comments::Sema::actOnHTMLEndTag(), clang::comments::Sema::actOnHTMLStartTagFinish(), clang::TextNodeDumper::visitHTMLEndTagComment(), and clang::TextNodeDumper::visitHTMLStartTagComment().

## ◆ getTagNameSourceRange()

SourceRange clang::comments::HTMLTagComment::getTagNameSourceRange | ( |  | ) | const
| inline

Definition at line 398 of file Comment.h.

References clang::comments::Comment::getLocation(), and clang::SourceLocation::getLocWithOffset().

## ◆ isMalformed()

bool clang::comments::HTMLTagComment::isMalformed | ( |  | ) | const
| inline

Definition at line 404 of file Comment.h.

References clang::comments::Comment::HTMLTagCommentBits.

Referenced by clang::comments::Sema::actOnHTMLEndTag().

## ◆ setIsMalformed()

void clang::comments::HTMLTagComment::setIsMalformed | ( |  | ) |
| inline

Definition at line 408 of file Comment.h.

References clang::comments::Comment::HTMLTagCommentBits.

Referenced by clang::comments::Sema::actOnFullComment(), and clang::comments::Sema::actOnHTMLEndTag().

## Member Data Documentation

## ◆ TagName

StringRef clang::comments::HTMLTagComment::TagName
| protected

Definition at line 374 of file Comment.h.

## ◆ TagNameRange

SourceRange clang::comments::HTMLTagComment::TagNameRange
| protected

Definition at line 375 of file Comment.h.

The documentation for this class was generated from the following file:

- include/clang/AST/Comment.h